Index: src/examples/it_out.c
===================================================================
--- src/examples/it_out.c	(revision 843054c23fcb725d2486e5e42e91b3741bc523b8)
+++ src/examples/it_out.c	(revision 2b6c1e0966e6ac366e8bc25cc8135f61d8946b0e)
@@ -1,36 +1,27 @@
-# 1 "iterator.c"
-# 1 "<built-in>"
-# 1 "<command line>"
-# 1 "iterator.c"
-# 1 "iterator.h" 1
-
-
-
-# 1 "iostream.h" 1
-
-
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// it_out.c -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Wed May 27 17:56:53 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Wed May 27 18:41:23 2015
+// Update Count     : 4
+//
 
 typedef unsigned long streamsize_type;
 
-
-
-context ostream( dtype os_type )
-{
-
-    os_type *write( os_type *, const char *, streamsize_type );
-
-
-    int fail( os_type * );
+context ostream( dtype os_type ) {
+	os_type *write( os_type *, const char *, streamsize_type );
+	int fail( os_type * );
 };
 
-
-
-
-context writeable( type T )
-{
-    forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, T );
+context writeable( type T ) {
+	forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, T );
 };
-
-
 
 forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, char );
@@ -38,65 +29,41 @@
 forall( dtype os_type | ostream( os_type ) ) os_type * ?<<?( os_type *, const char * );
 
-
-
-
-context istream( dtype is_type )
-{
-
-    is_type *read( is_type *, char *, streamsize_type );
-
-
-    is_type *unread( is_type *, char );
-
-
-    int fail( is_type * );
-
-
-    int eof( is_type * );
+context istream( dtype is_type ) {
+	is_type *read( is_type *, char *, streamsize_type );
+	is_type *unread( is_type *, char );
+	int fail( is_type * );
+	int eof( is_type * );
 };
 
-
-
-
-context readable( type T )
-{
-    forall( dtype is_type | istream( is_type ) ) is_type * ?<<?( is_type *, T );
+context readable( type T ) {
+	forall( dtype is_type | istream( is_type ) ) is_type * ?<<?( is_type *, T );
 };
-
-
 
 forall( dtype is_type | istream( is_type ) ) is_type * ?>>?( is_type *, char* );
 forall( dtype is_type | istream( is_type ) ) is_type * ?>>?( is_type *, int* );
-# 5 "iterator.h" 2
 
+context iterator( type iterator_type, type elt_type ) {
+	iterator_type ?++( iterator_type* );
+	iterator_type ++?( iterator_type* );
+	int ?==?( iterator_type, iterator_type );
+	int ?!=?( iterator_type, iterator_type );
 
-context iterator( type iterator_type, type elt_type )
-{
-
-    iterator_type ?++( iterator_type* );
-    iterator_type ++?( iterator_type* );
-
-
-    int ?==?( iterator_type, iterator_type );
-    int ?!=?( iterator_type, iterator_type );
-
-
-    lvalue elt_type *?( iterator_type );
+	lvalue elt_type *?( iterator_type );
 };
 
-
+forall( type elt_type | writeable( elt_type ),
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
+void write_all( iterator_type begin, iterator_type end, os_type *os );
 
 forall( type elt_type | writeable( elt_type ),
-        type iterator_type | iterator( iterator_type, elt_type ),
-        dtype os_type | ostream( os_type ) )
-void write_all( iterator_type begin, iterator_type end, os_type *os );
-# 2 "iterator.c" 2
+		type iterator_type | iterator( iterator_type, elt_type ),
+		dtype os_type | ostream( os_type ) )
+void write_all( elt_type begin, iterator_type end, os_type *os ) {
+	os << begin;
+}
 
-forall( type elt_type | writeable( elt_type ),
-        type iterator_type | iterator( iterator_type, elt_type ),
-        dtype os_type | ostream( os_type ) )
-void
-write_all( elt_type begin, iterator_type end, os_type *os )
-{
-    os << begin;
-}
+// Local Variables: //
+// tab-width: 4 //
+// compile-command: "cfa it_out.c" //
+// End: //
